Package jnr.constants.platform.freebsd

# Enum ProtocolFamily

java.lang.Object
java.lang.Enum<ProtocolFamily>
jnr.constants.platform.freebsd.ProtocolFamily

All Implemented Interfaces:
  `Serializable`, `Comparable<ProtocolFamily>`, `java.lang.constant.Constable`, `Constant`

public enum ProtocolFamily extends Enum<ProtocolFamily> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PF_APPLETALK`
`PF_ATM`
`PF_CCITT`
`PF_CHAOS`
`PF_CNT`
`PF_COIP`
`PF_DATAKIT`
`PF_DECnet`
`PF_DLI`
`PF_ECMA`
`PF_HYLINK`
`PF_IMPLINK`
`PF_INET`
`PF_INET6`
`PF_IPX`
`PF_ISDN`
`PF_ISO`
`PF_KEY`
`PF_LAT`
`PF_LINK`
`PF_LOCAL`
`PF_MAX`
`PF_NATM`
`PF_NETBIOS`
`PF_NETGRAPH`
`PF_OSI`
`PF_PIP`
`PF_PUP`
`PF_ROUTE`
`PF_RTIP`
`PF_SIP`
`PF_SNA`
`PF_UNIX`
`PF_UNSPEC`
`PF_XTP`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static ProtocolFamily`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ProtocolFamily[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### PF_UNSPEC

public static final ProtocolFamily PF_UNSPEC

### PF_LOCAL

public static final ProtocolFamily PF_LOCAL

### PF_UNIX

public static final ProtocolFamily PF_UNIX

### PF_INET

public static final ProtocolFamily PF_INET

### PF_IMPLINK

public static final ProtocolFamily PF_IMPLINK

### PF_PUP

public static final ProtocolFamily PF_PUP

### PF_CHAOS

public static final ProtocolFamily PF_CHAOS

### PF_ISO

public static final ProtocolFamily PF_ISO

### PF_OSI

public static final ProtocolFamily PF_OSI

### PF_ECMA

public static final ProtocolFamily PF_ECMA

### PF_DATAKIT

public static final ProtocolFamily PF_DATAKIT

### PF_CCITT

public static final ProtocolFamily PF_CCITT

### PF_SNA

public static final ProtocolFamily PF_SNA

### PF_DECnet

public static final ProtocolFamily PF_DECnet

### PF_DLI

public static final ProtocolFamily PF_DLI

### PF_LAT

public static final ProtocolFamily PF_LAT

### PF_HYLINK

public static final ProtocolFamily PF_HYLINK

### PF_APPLETALK

public static final ProtocolFamily PF_APPLETALK

### PF_ROUTE

public static final ProtocolFamily PF_ROUTE

### PF_LINK

public static final ProtocolFamily PF_LINK

### PF_XTP

public static final ProtocolFamily PF_XTP

### PF_COIP

public static final ProtocolFamily PF_COIP

### PF_CNT

public static final ProtocolFamily PF_CNT

### PF_SIP

public static final ProtocolFamily PF_SIP

### PF_IPX

public static final ProtocolFamily PF_IPX

### PF_RTIP

public static final ProtocolFamily PF_RTIP

### PF_PIP

public static final ProtocolFamily PF_PIP

### PF_ISDN

public static final ProtocolFamily PF_ISDN

### PF_KEY

public static final ProtocolFamily PF_KEY

### PF_INET6

public static final ProtocolFamily PF_INET6

### PF_NATM

public static final ProtocolFamily PF_NATM

### PF_NETBIOS

public static final ProtocolFamily PF_NETBIOS

### PF_ATM

public static final ProtocolFamily PF_ATM

### PF_NETGRAPH

public static final ProtocolFamily PF_NETGRAPH

### PF_MAX

public static final ProtocolFamily PF_MAX

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static ProtocolFamily[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ProtocolFamily valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<ProtocolFamily>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`